import React from "react"

export default function Stats(props) {
  return (
    <div>
      <h2 className="hidden-xs">Stats</h2>
      <Stat name="Movies" value={props.stats.get("movies_count")} />
      <Stat name="Shows" value={props.stats.get("shows_count")} />
      <Stat name="Episodes" value={props.stats.get("episodes_count")} />
    </div>
  );
}

function Stat(props) {
  return (
    <div className="col-xs-4">
      <div className="panel panel-default">
        <div className="panel-heading">
          <h3 className="panel-title">{props.name}</h3>
        </div>
        <div className="panel-body">
          {props.value}
        </div>
      </div>
    </div>
  );
}
